# Generated by Django 4.0.3 on 2024-03-25 15:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Policies', '0002_policy_kind_alter_policy_kind'),
    ]

    operations = [
        migrations.CreateModel(
            name='DMP_Tool',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('url', models.CharField(default='NONE', max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Funding',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('url', models.CharField(default='NONE', max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Storage_Tool',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('url', models.CharField(default='NONE', max_length=30)),
            ],
        ),
        migrations.RemoveField(
            model_name='policy',
            name='DMP_Tool',
        ),
        migrations.AddField(
            model_name='policy',
            name='score1',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.AddField(
            model_name='policy',
            name='score2',
            field=models.CharField(default='NONE', max_length=30),
        ),
        migrations.CreateModel(
            name='University',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('acronym', models.CharField(max_length=30)),
                ('policy', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policy')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectPolicy',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('policy', models.OneToOneField(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policy')),
            ],
        ),
        migrations.CreateModel(
            name='Institute',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('acronym', models.CharField(max_length=30)),
                ('policy', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policy')),
                ('university', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.university')),
            ],
        ),
        migrations.AddField(
            model_name='policy',
            name='dmp_rec',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.dmp_tool'),
        ),
        migrations.AddField(
            model_name='policy',
            name='storage_rec',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.storage_tool'),
        ),
    ]
